/************************************************************************//**
 *
 * @file    c17_mcu_select.h
 *
 * @brief   This is Header file select include file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_MCU_SELECT_H_
#define C17_MCU_SELECT_H_

// Please activate macro of used MCU.
//#define C17_MCUSEL_M20
//#define C17_MCUSEL_M21
//#define C17_MCUSEL_M22
//#define C17_MCUSEL_M23
#define C17_MCUSEL_M24
//#define C17_MCUSEL_M25


#ifdef C17_MCUSEL_M20
#include <c17m20_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE				///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M21
#include <c17m21_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE				///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M22
#include <c17m22_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE				///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M23
#include <c17m23_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE				///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M24
#include <c17m24_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE				///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M25
#include <c17m25_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE				///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#endif /* C17_MCU_SELECT_H_ */

